Bug 435014 - Computer "freezes" and becomes unresponsive
Computer "freezes" and becomes unresponsive
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i386 Linux
high Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-26 15:23 EST by Espen Stefansen
Modified: 2009-01-09 02:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:40:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lsmod (4.15 KB, text/plain)
2008-02-29 19:01 EST, Espen Stefansen
no flags Details
lspci -v (9.12 KB, text/plain)
2008-02-29 19:01 EST, Espen Stefansen
no flags Details

  None (edit)
Description Espen Stefansen 2008-02-26 15:23:07 EST
Description of problem:
Sometimes the computer just "freezes" when it idles. So i have to turn off the 
power and then restart it. This started happening after i upgraded to the 
2.6.24-kernels.

The first line in messages mention nfs4. I'm running a nfs4-server on the 
machine. But 10.0.0.6 that is mentioned in the log doesn't have nfs4 shares. It 
only had mounts a nfs4-share from the computer with the problem.

I also see that it must be related to wireless. My wireless-card:
Intel Corporation PRO/Wireless 4965 AG or AGN Network Connection (rev 61)

Version-Release number of selected component (if applicable):
kernel-2.6.24.2-10.fc8
kernel-2.6.24.2-7.fc8

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
From /var/log/messages:
Feb 26 19:51:33 itse2 kernel: nfs4_cb: server 10.0.0.6 not responding, timed out
Feb 26 19:51:36 itse2 kernel: BUG: sleeping function called from invalid 
context at mm/rmap.c:62
Feb 26 19:51:36 itse2 kernel: in_atomic():0, irqs_disabled():1
Feb 26 19:51:36 itse2 kernel: Pid: 3680, comm: dellWirelessCtl Not tainted 
2.6.24.2-10.fc8 #1
Feb 26 19:51:36 itse2 kernel:  [<c047b8f7>] anon_vma_prepare+0x1b/0xb5
Feb 26 19:51:36 itse2 kernel:  [<c0478170>] expand_stack+0x15/0x8c
Feb 26 19:51:36 itse2 kernel:  [<c0478c88>] vma_link+0xa5/0xc3
Feb 26 19:51:36 itse2 kernel:  [<c062db05>] do_page_fault+0x22a/0x614
Feb 26 19:51:36 itse2 kernel:  [<c047936b>] mmap_region+0x30c/0x3c8
Feb 26 19:51:36 itse2 kernel:  [<c062d8db>] do_page_fault+0x0/0x614
Feb 26 19:51:36 itse2 kernel:  [<c062c59a>] error_code+0x72/0x78
Feb 26 19:51:36 itse2 kernel:  [<c04b0712>] load_elf_binary+0xa4a/0x1573
Feb 26 19:51:36 itse2 kernel:  [<c0485e18>] __kmalloc+0x93/0xd8
Feb 26 19:51:36 itse2 kernel:  [<c04b0712>] load_elf_binary+0xa4a/0x1573
Feb 26 19:51:36 itse2 kernel:  [<c047376e>] page_address+0x78/0x98
Feb 26 19:51:36 itse2 kernel:  [<c0473a08>] kmap_high+0x1a/0x178
Feb 26 19:51:36 itse2 kernel:  [<c047376e>] page_address+0x78/0x98
Feb 26 19:51:36 itse2 kernel:  [<c048c246>] copy_strings+0x169/0x173
Feb 26 19:51:36 itse2 kernel:  [<c048c308>] search_binary_handler+0x91/0x1d4
Feb 26 19:51:36 itse2 kernel:  [<c048d52d>] do_execve+0x137/0x1a3
Feb 26 19:51:36 itse2 kernel:  [<c04031ac>] sys_execve+0x2f/0x4f
Feb 26 19:51:36 itse2 kernel:  [<c04051da>] syscall_call+0x7/0xb
Feb 26 19:51:36 itse2 kernel:  [<c0620000>] xfrm_add_pol_expire+0xa9/0x1da
Feb 26 19:51:36 itse2 kernel:  =======================
Feb 26 19:51:36 itse2 kernel: BUG: unable to handle kernel paging request at 
virtual address 9c8f0000
Feb 26 19:51:36 itse2 kernel: printing eip: c0485e18 *pde = 00000000
Feb 26 19:51:36 itse2 kernel: Oops: 0000 [#1] SMP
Feb 26 19:51:36 itse2 kernel: Modules linked in: aes_generic geode_aes aes_i586 
i915 drm bridge nfsd lockd nfs_acl auth_rpcgss exportfs rfcomm l2cap autofs4 
coretemp hwmon fuse sunrpc ipt_REJECT iptable_filter ipt_MASQUERADE xt_mark 
iptable_nat nf_nat nf_conntrack_ipv4 xt_MARK iptable_mangle ip_tables 
nf_conntrack_netbios_ns nf_conntrack_ipv6 xt_state nf_conntrack xt_tcpudp 
ip6t_ipv6header ip6t_REJECT ip6table_filter ip6_tables x_tables 
cpufreq_ondemand acpi_cpufreq dm_mirror dm_multipath dm_mod ipv6 kvm_intel kvm 
snd_usb_audio snd_usb_lib snd_rawmidi snd_hda_intel snd_seq_dummy snd_seq_oss 
snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss arc4 ecb blkcipher 
snd_mixer_oss snd_pcm iwl4965 firewire_ohci snd_timer firewire_core ata_generic 
snd_page_alloc i2c_i801 snd_hwdep hci_usb snd iTCO_wdt pcspkr crc_itu_t 
mac80211 tg3 joydev video i2c_core iTCO_vendor_support output ac ata_piix 
button soundcore bluetooth battery dcdbas pata_acpi cfg80211 sg ahci libata 
sd_mod scsi_mod ext3 jbd mbcache uhci_hcd ohci_hcd eh
Feb 26 19:51:36 itse2 kernel: ci_hcd
Feb 26 19:51:36 itse2 kernel: 
Feb 26 19:51:36 itse2 kernel: Pid: 3680, comm: dellWirelessCtl Not tainted 
(2.6.24.2-10.fc8 #1)
Feb 26 19:51:36 itse2 kernel: EIP: 0060:[<c0485e18>] EFLAGS: 00210086 CPU: 1
Feb 26 19:51:36 itse2 kernel: EIP is at __kmalloc+0x93/0xd8
Feb 26 19:51:36 itse2 kernel: EAX: 00000000 EBX: 9c8f0000 ECX: c0747680 EDX: 
c04b0712
Feb 26 19:51:36 itse2 kernel: ESI: c0747680 EDI: 00200282 EBP: c301e76c ESP: 
ed96be88
Feb 26 19:51:36 itse2 kernel:  DS: 007b ES: 007b FS: 00d8 GS: 0000 SS: 0068
Feb 26 19:51:36 itse2 kernel: Process dellWirelessCtl (pid: 3680, ti=ed96b000 
task=edfc4d20 task.ti=ed96b000)
Feb 26 19:51:36 itse2 kernel: Stack: 00001812 00000006 000000d0 000000e0 
0804fe6c ed91b6f4 0804fe6c c04b0712
Feb 26 19:51:36 itse2 kernel:        00000003 00001812 00000000 c2bd4f8c 
ed96bfb8 ed806c00 ed91b6c0 ed9c83ff
Feb 26 19:51:36 itse2 kernel:        00000003 00000007 ef666300 08048000 
00000000 00000001 f2ef5860 00000002
Feb 26 19:51:36 itse2 kernel: Call Trace:
Feb 26 19:51:36 itse2 kernel:  [<c04b0712>] load_elf_binary+0xa4a/0x1573
Feb 26 19:51:36 itse2 kernel:  [<c047376e>] page_address+0x78/0x98
Feb 26 19:51:36 itse2 kernel:  [<c0473a08>] kmap_high+0x1a/0x178
Feb 26 19:51:36 itse2 kernel:  [<c047376e>] page_address+0x78/0x98
Feb 26 19:51:36 itse2 NetworkManager: <WARN>  killswitch_getpower_reply(): 
Error getting killswitch power: /usr/lib/hal/scripts/linux/hal-system-
killswitch-get-power-linux: line 70:  3680 Segmentation fault      /usr/bin/
dellWirelessCtl --st_wlan #012 
org.freedesktop.Hal.Device.KillSwitch.NotSupported.
Feb 26 19:51:36 itse2 kernel:  [<c048c246>] copy_strings+0x169/0x173
Feb 26 19:51:36 itse2 kernel:  [<c048c308>] search_binary_handler+0x91/0x1d4
Feb 26 19:51:36 itse2 kernel:  [<c048d52d>] do_execve+0x137/0x1a3
Feb 26 19:51:36 itse2 kernel:  [<c04031ac>] sys_execve+0x2f/0x4f
Feb 26 19:51:36 itse2 kernel:  [<c04051da>] syscall_call+0x7/0xb
Feb 26 19:51:36 itse2 kernel:  [<c0620000>] xfrm_add_pol_expire+0xa9/0x1da
Feb 26 19:51:36 itse2 kernel:  =======================
Feb 26 19:51:36 itse2 kernel: Code: 08 00 79 c0 8b 6c 86 70 8b 5d 00 85 db 75 
19 89 14 24 8b 54 24 08 83 c9 ff 89 f0 89 6c 24 04 e8 16 ef ff ff 89 c3 eb 09 
8b 45 0c <8b> 04 83 89 45 00 89 f8 50 9d 0f 1f 84 00 00 00 00 00 66 83 7c
Feb 26 19:51:36 itse2 kernel: EIP: [<c0485e18>] __kmalloc+0x93/0xd8 SS:ESP 
0068:ed96be88
Feb 26 19:51:36 itse2 kernel: ---[ end trace 16c4ce1ccae8b024 ]---
Comment 1 Vaclav "sHINOBI" Misek 2008-02-29 17:49:27 EST
Please add lsmod and lspci -v outputs.
Comment 2 Espen Stefansen 2008-02-29 19:01:28 EST
Created attachment 296432 [details]
lsmod
Comment 3 Espen Stefansen 2008-02-29 19:01:53 EST
Created attachment 296433 [details]
lspci -v
Comment 4 Espen Stefansen 2008-03-12 14:10:39 EDT
This panic has happened a couple of more times now. And every time my other computer has mounted a 
nfs4-share from the computer which panics. So there seems to be a problem with wireless, in 
connection with nfs4.

And it still happens with a newer kernel from koji; kernel-2.6.24.3-28.fc8

From /var/log/messages on the last panic:
Mar 12 18:52:57 itse68482 kernel: nfs4_cb: server 10.0.0.6 not responding, timed out
Mar 12 18:56:13 itse68482 kernel: BUG: sleeping function called from invalid context at mm/rmap.c:62
Mar 12 18:56:13 itse68482 kernel: in_atomic():0, irqs_disabled():1
Mar 12 18:56:13 itse68482 kernel: Pid: 22128, comm: basename Not tainted 2.6.24.3-28.fc8 #1
Mar 12 18:56:13 itse68482 kernel:  [<c047ba33>] anon_vma_prepare+0x1b/0xb5
Mar 12 18:56:13 itse68482 kernel:  [<c04782ac>] expand_stack+0x15/0x8c
Mar 12 18:56:13 itse68482 kernel:  [<c0478dc4>] vma_link+0xa5/0xc3
Mar 12 18:56:13 itse68482 kernel:  [<c062d8a5>] do_page_fault+0x22a/0x614
Mar 12 18:56:13 itse68482 kernel:  [<c04794a7>] mmap_region+0x30c/0x3c8
Mar 12 18:56:13 itse68482 kernel:  [<c062d67b>] do_page_fault+0x0/0x614
Mar 12 18:56:13 itse68482 kernel:  [<c062c33a>] error_code+0x72/0x78
Mar 12 18:56:13 itse68482 kernel:  [<c04b08ba>] load_elf_binary+0xa4a/0x1573
Mar 12 18:56:13 itse68482 kernel:  [<c0485f9c>] __kmalloc+0x93/0xd8
Mar 12 18:56:13 itse68482 kernel:  [<c04b08ba>] load_elf_binary+0xa4a/0x1573
Mar 12 18:56:13 itse68482 kernel:  [<c0476ccd>] get_user_pages+0x2cc/0x341
Mar 12 18:56:13 itse68482 kernel:  [<c048c3ca>] copy_strings+0x169/0x173
Mar 12 18:56:13 itse68482 kernel:  [<c048c48c>] search_binary_handler+0x91/0x1d4
Mar 12 18:56:13 itse68482 kernel:  [<c048d6b1>] do_execve+0x137/0x1a3
Mar 12 18:56:13 itse68482 kernel:  [<c04031ac>] sys_execve+0x2f/0x4f
Mar 12 18:56:13 itse68482 kernel:  [<c04051da>] syscall_call+0x7/0xb
Mar 12 18:56:13 itse68482 kernel:  =======================
Mar 12 18:56:13 itse68482 NetworkManager: <WARN>  killswitch_getpower_reply(): Error getting 
killswitch power: No back-end for your operating system.
Comment 5 Chuck Ebbert 2008-03-14 00:03:03 EDT
We took a page fault during load_elf_binary() and called a sleeping function
from the interrupt handler.
Comment 6 Bug Zapper 2008-11-26 04:56:46 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-01-09 02:40:54 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.